Package be.e_contract.ejsf.component.insertfacet

# Class InsertFacetListener

java.lang.Object
be.e_contract.ejsf.component.insertfacet.InsertFacetListener

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.StateHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`

public class InsertFacetListener extends Object implements javax.faces.event.ComponentSystemEventListener, javax.faces.component.StateHolder

## Constructor Summary

Constructors
Constructor
Description
`InsertFacetListener()`
`InsertFacetListener(String name, String targetName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
`String`
`getTargetName()`
`int`
`hashCode()`
`boolean`
`isTransient()`
`void`
`processEvent(javax.faces.event.ComponentSystemEvent event)`
`void`
`restoreState(javax.faces.context.FacesContext context, Object state)`
`Object`
`saveState(javax.faces.context.FacesContext context)`
`void`
`setTransient(boolean newTransientValue)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InsertFacetListener

public InsertFacetListener()

### InsertFacetListener

public InsertFacetListener(String name, String targetName)

## Method Details

### getName

public String getName()

### getTargetName

public String getTargetName()

### processEvent

public void processEvent(javax.faces.event.ComponentSystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
Throws:
  `javax.faces.event.AbortProcessingException`

### saveState

public Object saveState(javax.faces.context.FacesContext context)

Specified by:
  `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

public void restoreState(javax.faces.context.FacesContext context, Object state)

Specified by:
  `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

public boolean isTransient()

Specified by:
  `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

public void setTransient(boolean newTransientValue)

Specified by:
  `setTransient` in interface `javax.faces.component.StateHolder`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`